> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update skill metadata

> Update icon or enabled state of a skill.



## OpenAPI

````yaml /swagger.json patch /skill/{id}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
tags:
  - name: base
    x-group: project
  - name: base node
    x-group: project node
  - name: base-share
    x-group: project-share
paths:
  /skill/{id}:
    patch:
      tags:
        - skill
      summary: Update skill metadata
      description: Update icon or enabled state of a skill.
      parameters:
        - schema:
            type: string
            description: Skill ID
          required: true
          description: Skill ID
          name: id
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                icon:
                  type: string
                  nullable: true
                  description: Emoji or icon string, e.g. "📊"; set to null to clear
                isEnabled:
                  type: boolean
                  description: Enable or disable the skill for agent use
      responses:
        '200':
          description: Updated skill
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Unique skill identifier
                  slug:
                    type: string
                    description: URL-safe skill slug
                  name:
                    type: string
                    description: Display name of the skill
                  description:
                    type: string
                    nullable: true
                    description: Short description of what the skill does
                  icon:
                    type: string
                    nullable: true
                    description: Icon identifier or emoji
                  skillMd:
                    type: string
                    description: SKILL.md content defining the skill
                  sourceMeta:
                    nullable: true
                    description: Source metadata (github/zip/manual)
                  contentHash:
                    type: string
                    nullable: true
                    description: SHA-256 content hash for change detection
                  scopeType:
                    type: string
                    enum:
                      - base
                      - space
                      - system
                      - user
                      - User
                      - app
                      - App
                      - cuppyclaw
                      - Cuppyclaw
                      - routine
                      - Routine
                    description: >-
                      Ownership scope: base (project), space, system, user, app,
                      cuppyclaw or routine
                  isEnabled:
                    type: boolean
                    description: Whether the skill is enabled / available to the agent
                  createdTime:
                    type: string
                    description: ISO 8601 creation timestamp
                  createdBy:
                    type: string
                    description: User ID of the creator
                required:
                  - id
                  - slug
                  - name
                  - skillMd
                  - scopeType
                  - isEnabled
                  - createdTime
                  - createdBy
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request PATCH \
              --url https://app.teable.ai/api/skill/%7Bid%7D \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
              --header 'content-type: application/json' \
              --data '{"icon":"string","isEnabled":true}'
        - lang: JavaScript
          source: |-
            const url = 'https://app.teable.ai/api/skill/%7Bid%7D';
            const options = {
              method: 'PATCH',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              },
              body: '{"icon":"string","isEnabled":true}'
            };

            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'PATCH',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/skill/%7Bid%7D',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.write(JSON.stringify({icon: 'string', isEnabled: true}));
            req.end();
        - lang: Python
          source: |-
            import http.client

            conn = http.client.HTTPSConnection("app.teable.ai")

            payload = "{\"icon\":\"string\",\"isEnabled\":true}"

            headers = {
                'Authorization': "Bearer REPLACE_BEARER_TOKEN",
                'content-type': "application/json"
            }

            conn.request("PATCH", "/api/skill/%7Bid%7D", payload, headers)

            res = conn.getresponse()
            data = res.read()

            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````